server:
  port: 8089

spring:
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: http://localhost:8082/auth/realms/aven_market
  data:
    mongodb:
      uri: mongodb://127.0.0.1:27017/snack
  cloud:
    stream:
      bindings:
        newSnack-out-0:
          destination: snacker-newSnack
        snackDeleted-out-0:
          destination: snacker-snackDeleted
        snackBackup-out-0:
          destination: snacker-snackBackup
        sendNotification-out-0:
          destination: snacker-notification
        newSubscriber-out-0:
          destination: snacker-newSubscriber
        subscribe-in-0:
          destination: snacker-subscribe
        newCustomer-out-0:
          destination: snacker-newCustomer
        invitation-out-0:
          destination: snacker-invitation
      function:
        definition: newSnack;snackDeleted;snackBackup;sendNotification;subscribe;newSubscriber;newCustomer;invitation
logging:
  level:
    org.springframework.data.mongodb.core.MongoTemplate: DEBUG
security:
  enable:
    csrf: false
